//=============================================================================
// Change_CriticalRate_MZ.js
//   Last update: 2024/09/22
//=============================================================================
// 更新っぽいもの
// 
// 2024/09/22 [v0.1.0]
// 初版

/*:
 * @target MZ
 * 
 * @plugindesc
 * [v0.1.0] Change!! CriticalRate MZ.
 * 
 * @author Diamond
 *
 * @param Critical Rate
 * @text ????
 * @default 3.0
 * @type number
 * @min 2
 * @decimals 1
 * @desc
 * English is not supported.
 * Please Use Japanese!!
 * 
 * @help
 * Diamond use ruby, not use Java Script!!
 * Please use Ruby!! and RPG Tkool XP/VX/VX Ace.
 * 
 * @url https://diamond.iza-yoi.net/
 */

/*:ja
 * @target MZ
 * 
 * @plugindesc
 * [v0.1.0] 真（チェンジ！！）クリティカルレート MZ
 * 
 * @author 貪藻矢射妥←
 *
 * @param Critical Rate
 * @text クリティカル倍率
 * @default 3.0
 * @type number
 * @min 2
 * @decimals 1
 * @desc
 * クリティカル時のダメージ倍率を設定します
 * ※小数での設定も可能
 *
 * @help
 * クリティカルの際に何倍のダメージになるか設定します。
 *
 * Java ScriptよりもRubyを使いたい！ by 貪藻矢射妥←
 * 
 * @url https://diamond.iza-yoi.net/
 */

var OuterFlg = OuterFlg || {};

(() => {

'use strict';

OuterFlg.imported = OuterFlg.imported || {};
OuterFlg.imported['CriticalRate'] = true;

var pluginParams       = PluginManager.parameters('Change_CriticalRate_MZ');
var changeCriticalRate = Number(pluginParams['Critical Rate'] || 3.0);

//var ParamsEx          = PluginManagerEx.createParameter(document.currentScript);
//var ParamsEx_hogehoge = ParamsEx['hogehogeStruct'];


//-----------------------------------------------------------------------------
// Game_Action

Game_Action.prototype.applyCritical = function(damage) {
    return Math.floor(damage * changeCriticalRate);
};


})();
